import { AframeRegistry, AframeComponent } from "../interfaces";
interface AlNodeObject extends AframeComponent {
    update(oldData: any): void;
    tickFunction(): void;
    tick(): void;
    remove(): void;
    bindListeners(): void;
    addListeners(): void;
    removeListeners(): void;
    pointerDown(_event: CustomEvent): void;
    pointerUp(_event: MouseEvent): void;
    pointerOver(_event: CustomEvent): void;
    pointerOut(_event: CustomEvent): void;
}
export declare class AlNode implements AframeRegistry {
    static readonly Object: AlNodeObject;
    static readonly Tag: string;
}
export declare class AlNodeEvents {
    static ANIMATION_STARTED: string;
}
export {};
